Anyone else's conky break with today's update?

Downgrade will handle that situation too, if it can’t find it locally, it will search the archives. Just look for 5.3.5 version…

1 Like

I have never downgraded any package. What happens when the next update comes? Will that 5.3.5 version automatically upgraded to 5.4 version and then I’m back in the square one?

If you do it using the downgrade app, it will ask you if it should put the package in the ‘ignore’ list for pacman. Have it do so (it will put the name in the /etc/pacman.conf file in the appropriate place). This situation has happened before on Arch-based systems! :grin:

In this case, the update to lua will probably be around for up to a year before anyone needs its new capabilites - which do include some speedups, but seem to focus mainly on garbage collection differences. There are many things out there still requiring lua 5.1, and not accepting newer versions, so this is not new for lua, either!

2 Likes

Thanks for good explanation. I will try downgrading lua as soon as I get home from work… :smiley:

Could you show your conky file ?

it seems my conky was broken then is working now with latest updates !

I had to rewritte the conky cause it was an old usage version before 1.10…

I can’t show my conky file at the moment, because I’m not at my computer. But you could be right about that old usage version. When I tried to start conky in konsole it complained something about my conky config. I’ll check it when I get home.

Yes after 1.10 conky version usage is lua language. I will put my new conky file that works here that you have a model…

2 Likes

Nice, thanks!

Just to check, does a rebuild of the conky package fix the issue?

That would be really appreciated if you could. I have tried to rewrite my conkys using the 1.10 version -required lua syntax, but I’m getting lua errors that I can’t quite figure out. I’d love to have another template that we know works correctly.

Thank you!
Barry

1 Like

In case it helps, there’s a rebuilt package here:

https://m2x.dev/repo/conky/x86_64/

1 Like

Well- I rebuilt conky-cairo with 5.4 present, and my conky fired up OK - but the lua code was really slow to execute. I suspect that was because I had to pull the git version of conky, which is at 1.11.7 - and I prefer 1.11.3 for functionality.

Since then I downgraded lua, and reverted to 1.11.3 conky, and it is much better that way :grin:

2 Likes

Downgrading lua did the trick! Many thanks!.. :smiley:

2 Likes

Here, this is the one I’m using on XFCE and that works in rewriting his usage code since Conky 1.10 the configuration files have been written with a new Lua syntax :

$ pacman -Ss conky
extra/conky 1.11.5-4 [installé]
Lightweight system monitor for X

$ lua -v
Lua 5.4.0  Copyright (C) 1994-2020 Lua.org, PUC-Rio

By default the Conky file is into

~/.config/conky/conky.conf

You could create it with :

mkdir -p ~/.config/conky && conky --print-config > ~/.config/conky/conky.conf

To check the Conky file you are using :

$ conky --debug
DEBUG(0) [/build/conky/src/conky-1.11.5/src/conky.cc:2513]: reading contents from config file '~/.config/conky/conky.conf'

File conky.conf built on this way then I noticed that to comment, it works like this :

conky.config = {
-- comment a line
}

conky.text = [[
# comment a line is different than UP
]]

To make it Autostart just needs to create a basic conky.desktop file into /home/username/.config/autostart/ adding the code below (increase the pause value depending your system to be sure your background picture is loaded before the conky in case you don’t see it !) :

File conky.desktop

[Desktop Entry]
Type=Application
Name=conky
Exec=conky --daemonize --pause=12
StartupNotify=false
Terminal=false

Conky File conky.conf :

--[[
-- Conky EndeavourOS FLVAL 
-- Adapted for EOS wallpaper
-- https://forum.endeavouros.com/t/some-wallpapers-till-the-real-artists-drop-by/159/27?u=flval
]]

conky.config = {
    use_xft = true,
    xftalpha = .8,
    update_interval = 2.0,		-- seconds
    override_utf8_locale = true,
    font = 'pftempestafivecondensed:size=12',
    text_buffer_size = 8000,
    background = true,
    own_window_argb_visual = true,
    own_window_argb_value = 0,
    own_window = true,
    own_window_class = 'Conky',
    own_window_transparent = false,
    own_window_type = 'desktop',
    own_window_hints = 'undecorated,below,sticky,skip_taskbar,skip_pager',
    own_window_colour = 000000,
    minimum_height = 0,
    minimum_width = 0,
    maximum_width = 170,
    gap_x = 40,
    gap_y = 0,
    alignment = 'middle_right',
    use_spacer = 'none',
    draw_shades = false,
    draw_outline = false,
    draw_borders = false,
    stippled_borders = 0,
    border_width = 1,
    double_buffer = true,
    no_buffers = false,
    uppercase = true,
    cpu_avg_samples = 2,
    top_cpu_separate = false,
    net_avg_samples = 2,
    temperature_unit = 'celsius',
    pad_percents = 0,			-- what is below, decimal places
    short_units = true,			-- short version of the disk size 612.21M/3.80G
    draw_graph_borders = true,
    extra_newline = false,
    out_to_console = false,
    out_to_ncurses = false,
    out_to_stderr = false,
    out_to_x = true,
    show_graph_range = false,
    show_graph_scale = false,

    color1 = '10141f',			-- EndeavourOS black --
    color2 = 'c2c2c2',			-- grey light
    color3 = '7FE8FF',			-- blue User
    color4 = '7f7fff',			-- EndeavourOS blue
    color5 = '7f3fbf',			-- EndeavourOS violet
    color6 = 'ff7f7f',			-- EndeavourOS orange
    color7 = '280b0b',			-- EndeavourOS red dark
    color8 = '47B35D',			-- EndeavourOS green

    default_color = 'white',		    -- white
    default_outline_color = 'black',	-- Black
    default_shade_color = 'black', 	    -- Black
}
conky.text = [[
${font pftempestafivecondensed:size=28}${utime %H:%M:%S}${voffset -20}
${color2}${font pftempestafivecondensed:size=12}${time %a %d %b %Y}$color

${font ZegoeUI:bold:size=12}${color8}SYSTEM$color
${font pftempestafivecondensed:size=10}${color2}SYS:$color${fs_used /} > ${color2}${fs_size /}
${fs_bar 8,160 /}
${color2}HOME: $color${fs_used /home} > ${color2}${fs_size /home}
${fs_bar 8,160 /home}
${color2}CPU: $color${exec cat /proc/cpuinfo | grep 'model name' | cut -c 14-30 | uniq}
${color2}${cpugraph 15,160}${voffset -21}
${alignc}${cpu cpu0}%
${color2}FREQ: $color${freq} MHz
${color2}TEMP: $color${hwmon 0 temp 1} °C
${color2}RAM : $color$mem > ${color2}$memmax
${membar 8,160}
${color2}SWAP: $color$swap > ${color2}$swapmax
${swapbar 8,160}

${font ZegoeUI:bold:size=12}${color8}NETWORK$color
${font pftempestafivecondensed:size=10}${color2}IP: $color${addr enp0s20}
${if_up enp0s20}${color2}ULOAD: $color${upspeed enp0s20}/s 
${color2}${upspeedgraph enp0s20 16,160 000000 000000}
${color2}DLOAD: ${downspeed enp0s20}/s
${downspeedgraph enp0s20 16,160 000000 000000}$color${endif}

${font ZegoeUI:bold:size=12}${color8}USER$color
${font pftempestafivecondensed:size=10}${color2}Number: $color$user_number
${font pftempestafivecondensed:size=10}${color5}$user_names$color ${uptime}

${font ZegoeUI:bold:size=12}${color8}DISTRO$color
${font pftempestafivecondensed:size=10}${execi 86400 lsb_release -si} ${execi 86400 lsb_release -sr} ${execi 86400 lsb_release -sv}
${kernel}
${sysname} $color
#${machine} uncomment to see it ! 
${color2}CONKY ${conky_version}$color
]]

Don’t forget to adapt the network name enp0s20 to yours :
You could get it with :

$ file /sys/class/net/*
/sys/class/net/enp0s20: symbolic link to 

To use the Lua scripts from man conky add :

lua_load
Loads the Lua scripts separated by spaces.

4 Likes

Heehee, just you wait. Eventually there’ll be an upgrade for downgrade … does one’s head in.

3 Likes

Step one: update your downgrade.
Step two: downgrade your update.
Step three: add you downgraded package to update ignore list.

There you are, that wasn’t so hard, was it?
Now you’re all set.

4 Likes

Thanks. Since I’ve never played with lua before, looking at your example, I’ve managed to rewrite my little conky config file and now it all works again – this is what I cannot say about fonts though. When I run conky, I get multiple of “conky: can’t load font ‘sans-serif:bold:size=8’” messages. What have I tried to do so far? Well, I only tried to change font - it doesn’t matter which font I want to set, noone of them seems to get loaded. So what would be the solution for that?

1 Like

It appears that using “use_xft = yes” didn’t consider use_xfg option to actually be “true”. So placing true instead of yes fixes the issue.

2 Likes

There is a bit more to it than that, I’m afraid. Commas are now required after each config area statement, for instance. ‘Toggles’ are true or false - not yes and no.

Do you not have conky-convert.lua installed? I thought that came with a conky install. Try

which conky-convert.lua

to see if it is in /usr/bin. Aim it at any ‘old-school’ conky files for updated syntax. Seems to work in most cases, if rather ugly :grin:

Edit: just rebuilt conky-cairo from scratch again, and got version 1.11.3 (best so far) working with lua 5.4. Also got to add in libaudclient (which enables audacious features in conky), and subtracted nvidia libraries (all AMD here). Best package to go for if unsure!

1 Like

Who me? No! Impossible.

:grinning:

3 Likes